*-------------------------------------------------------------------------------
* Description: Restricts the 1990-county-to-CZ data to exclude Alaska & Hawaii
* Author: Justin Wiltshire
*
* Updated: January 25, 2020
*-------------------------------------------------------------------------------

* Load the crosswalk data
qui use "$boxdir/cw/geo/dta/cw_cty_czone.dta", clear

* Keep only continental USA
qui drop if inlist(floor(cty_fips/1000), 2, 15)

* Make county change adjustments
qui do "$boxdir/cw/geo/do/cty_changes.do"

* Keep only one observation of each county
bysort czone cty_fips: keep if _n == 1

* Save the data
qui compress
qui save "$boxdir/dta/build/cln/primary/crosswalk/cty_czone.dta", replace
